// Copyright (c) 2020, Mattias Karlsson. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be found
// in the LICENSE file.

/// A library for Fandom APIv1 interaction, which makes it easy to access data
/// from specified fandom URL
library fandom;

export 'src/fandom.dart';
export 'src/models/activity_response.dart';
export 'src/models/activity_response_result_set.dart';
export 'src/models/article.dart';
export 'src/models/article_details_result_set.dart';
export 'src/models/article_result_set.dart';
export 'src/models/combined_search_article.dart';
export 'src/models/combined_search_result_set.dart';
export 'src/models/combined_search_wikia.dart';
export 'src/models/content.dart';
export 'src/models/creator.dart';
export 'src/models/expanded_article.dart';
export 'src/models/expanded_article_result_set.dart';
export 'src/models/expanded_cross_wikia.dart';
export 'src/models/expanded_cross_wikia_result_set.dart';
export 'src/models/expanded_wikia.dart';
export 'src/models/expanded_wikia_result_set.dart';
export 'src/models/hub_article.dart';
export 'src/models/hub_article_result.dart';
export 'src/models/hub_article_result_set.dart';
export 'src/models/image_size.dart';
export 'src/models/list_element.dart';
export 'src/models/local_wiki_search.dart';
export 'src/models/local_wiki_search_result_set.dart';
export 'src/models/min_max_date.dart';
export 'src/models/min_max_date_result_set.dart';
export 'src/models/most_linked_article.dart';
export 'src/models/most_linked_article_result_set.dart';
export 'src/models/most_linked_expanded_article.dart';
export 'src/models/most_linked_expanded_article_result_set.dart';
export 'src/models/navigation.dart';
export 'src/models/new_article.dart';
export 'src/models/new_article_result_set.dart';
export 'src/models/related_page.dart';
export 'src/models/related_page_result_set.dart';
export 'src/models/revision.dart';
export 'src/models/search_suggestion.dart';
export 'src/models/search_suggestion_result_set.dart';
export 'src/models/section.dart';
export 'src/models/section_content.dart';
export 'src/models/section_image.dart';
export 'src/models/user.dart';
export 'src/models/user_query.dart';
export 'src/models/user_query_result_set.dart';
export 'src/models/user_result_set.dart';
export 'src/models/wam.dart';
export 'src/models/wam_language_result_set.dart';
export 'src/models/wam_result_set.dart';
export 'src/models/wiki_data.dart';
export 'src/models/wiki_data_container.dart';
export 'src/models/wiki_language_data.dart';
export 'src/models/wikia.dart';
export 'src/models/wikia_details_result_set.dart';
export 'src/models/wikia_info.dart';
export 'src/models/wikia_result_set.dart';
export 'src/models/wikia_stats.dart';
export 'src/resource.dart';
